import glob
import os
import sys

cur_path = os.path.abspath(os.path.dirname(__file__))
lib_path = os.path.abspath(os.path.join(cur_path, "../lib"))


def get_jars():
    jars = glob.glob(os.path.join(lib_path, "*.jar"))
    jars = list(reversed(jars))
    pull_jars = []
    for jar in pull_jars:
        jars.insert(0, jar)

    return jars


def get_classpath():
    delimiter = ":"
    if sys.platform.startswith("win32") or sys.platform.startswith("cygwin"):
        delimiter = ";"

    return delimiter.join(get_jars())


cmd = [
    "java", "-cp", get_classpath(),
    "-DcurrentDir=" + os.path.abspath(os.path.join(cur_path, "..")),
    "com.aliyun.dataworks.migrationx.reader.common.ReaderAppEntrance"
]
cmd.extend(sys.argv[1:])
ret = os.system(" ".join(cmd))
sys.exit(ret)
